Subject: Re: [Detnet] New Version Notification for draft-benhadjsaid-detnet-gptp-yang-00.txt

From: János Farkas <[email-masked]>
Date: Fri, 3 Aug 2018 18:15:46 +0200

Hi Siwar,

I second Rodney.
Thank you very much for your efforts on working with IEEE 802.1AS YANG!
IEEE 802.1AS belongs to IEEE 802.1 ( http://ieee802.org/1 ). IEEE 
802.1AS YANG will be done in IEEE 802.1. It would be great if you could 
contribute to IEEE 802.1.

Best regards,
János

On 4/9/2018 9:13 PM, Rodney Cummings wrote:
> Hello Siwar,
>
> It is good to hear that you see a need for YANG for IEEE 802.1AS. I agree.
>
> The fundamental issue is that IEEE 802 working groups have assumed the
> responsibility for developing YANG modules for IEEE 802 standards,
> including 802.1AS. For example, this site is being used for 802
> coordination on YANG:
> 	https://1.ieee802.org/yangsters/
>
> Therefore, your proposal is best targeted as a proposal
> to the IEEE 802.1 working group, and not an IETF working group.
>
> I notice that your YANG is supporting the published IEEE Std 802.1AS-2011.
> Although I don't speak for the 802.1 working group, I think the assumption
> there was that YANG would be more desired for the upcoming revision of
> 802.1AS. Since the revision of 802.1AS is still a work in progress, that
> is one of the reasons why 802.1 currently has no YANG project for 802.1AS.
>
> If you need YANG for 802.1AS-2011, you could certainly bring that as a
> request to the 802.1 working group. If we move forward with a project
> for that, I would recommend doing it as an augment to:
> 	https://datatracker.ietf.org/doc/draft-ietf-tictoc-1588v2-yang/
> That 1588-2008 project is getting closer to IESG Last Call (I hope),
> so I doubt that using it as the basis for a new 802.1AS-2011 project
> would be a problem.
>
> Rodney
>
>> -----Original Message-----
>> From: detnet [mailto:[email-masked]] On Behalf Of BEN HADJ SAID
>> Siwar
>> Sent: Thursday, March 29, 2018 11:38 AM
>> To: [email-masked]
>> Cc: BOC Michael <[email-masked]>; [email-masked]
>> Subject: [Detnet] TR: New Version Notification for draft-benhadjsaid-
>> detnet-gptp-yang-00.txt
>>
>> Hi detnet WG,
>>
>>
>>
>> This mail is to announce that we have just uploaded this 802.1AS YANG
>> model.
>>
>>
>>
>> We know that there is a big effort In IEEE 802.1 TSN to have IEEE 802.1AS-
>> rev published with its YANG model. However, for our own internal projects
>> we were in need for 802.1AS YANG model so that our SDN controller can
>> manage the time synchronization configuration. This allows us to manage
>> all TSN mechanisms via the same approach ( using YANG models).
>>
>>
>>
>> We are open to your comments.
>>
>>
>>
>> Siwar
>>
>>
>>
>>
>>
>>
>>
>> -----Message d'origine-----
>>
>> De : [email-masked] <[email-masked]>
>>
>> Envoyé : jeudi 29 mars 2018 18:21
>>
>> À : BEN HADJ SAID Siwar <[email-masked]>; BOC Michael
>> <[email-masked]>; BEN HADJ SAID Siwar <[email-masked]>; BOC
>> Michael <[email-masked]>
>>
>> Objet : New Version Notification for draft-benhadjsaid-detnet-gptp-yang-
>> 00.txt
>>
>>
>>
>>
>>
>> A new version of I-D, draft-benhadjsaid-detnet-gptp-yang-00.txt
>>
>> has been successfully submitted by Siwar Ben Hadj Said and posted to the
>> IETF repository.
>>
>>
>>
>> Name:		draft-benhadjsaid-detnet-gptp-yang
>>
>> Revision:	00
>>
>> Title:		YANG Model of IEEE 802.1AS
>>
>> Document date:	2018-03-29
>>
>> Group:		Individual Submission
>>
>> Pages:		43
>>
>> URL:            https://urldefense.proofpoint.com/v2/url?u=https-
>> 3A__www.ietf.org_internet-2Ddrafts_draft-2Dbenhadjsaid-2Ddetnet-2Dgptp-
>> 2Dyang-
>> 2D00.txt&d=DwIGaQ&c=I_0YwoKy7z5LMTVdyO6YCiE2uzI1jjZZuIPelcSjixA&r=WA71sf2o
>> 7Dw7CbYhFt24DPjt3lJuupswWYdnboKbZ8k&m=n5OvszTEhiWz0g6qm-OrYwGBAI-
>> faJpmTLdYd2jAKp4&s=iRw_tqi_ipXdc9JwGjwIX4JElx60XoudgGIzfW3sGGI&e=
>>
>> Status:         https://urldefense.proofpoint.com/v2/url?u=https-
>> 3A__datatracker.ietf.org_doc_draft-2Dbenhadjsaid-2Ddetnet-2Dgptp-
>> 2Dyang_&d=DwIGaQ&c=I_0YwoKy7z5LMTVdyO6YCiE2uzI1jjZZuIPelcSjixA&r=WA71sf2o7
>> Dw7CbYhFt24DPjt3lJuupswWYdnboKbZ8k&m=n5OvszTEhiWz0g6qm-OrYwGBAI-
>> faJpmTLdYd2jAKp4&s=jGlbzT71EK9oOFZDn_wUFEXPoTtSSAIOVEKD50eZnRo&e=
>>
>> Htmlized:       https://urldefense.proofpoint.com/v2/url?u=https-
>> 3A__tools.ietf.org_html_draft-2Dbenhadjsaid-2Ddetnet-2Dgptp-2Dyang-
>> 2D00&d=DwIGaQ&c=I_0YwoKy7z5LMTVdyO6YCiE2uzI1jjZZuIPelcSjixA&r=WA71sf2o7Dw7
>> CbYhFt24DPjt3lJuupswWYdnboKbZ8k&m=n5OvszTEhiWz0g6qm-OrYwGBAI-
>> faJpmTLdYd2jAKp4&s=Dzm-cZFDO8X3B9dXa3Px8D-Vo_Ml3yuZoqoF2ymNg5k&e=
>>
>> Htmlized:       https://urldefense.proofpoint.com/v2/url?u=https-
>> 3A__datatracker.ietf.org_doc_html_draft-2Dbenhadjsaid-2Ddetnet-2Dgptp-
>> 2Dyang&d=DwIGaQ&c=I_0YwoKy7z5LMTVdyO6YCiE2uzI1jjZZuIPelcSjixA&r=WA71sf2o7D
>> w7CbYhFt24DPjt3lJuupswWYdnboKbZ8k&m=n5OvszTEhiWz0g6qm-OrYwGBAI-
>> faJpmTLdYd2jAKp4&s=uUnjcClGH-V3bVIcxjJHvNekFiyJqBKjE5iLmvQp9Rc&e=
>>
>>
>>
>>
>>
>> Abstract:
>>
>>     This document describes a YANG data model for the management of IEEE
>>
>>     802.1AS module in network devices.  This data model includes
>>
>>     configuration data and state data (status information and counters
>>
>>     for the collection of statistics).
>>
>>
>>
>>
>>
>>
>>
>>
>>
>> Please note that it may take a couple of minutes from the time of
>> submission until the htmlized version and diff are available at
>> tools.ietf.org.
>>
>>
>>
>> The IETF Secretariat
>>
>>
>>
>> _______________________________________________
>> detnet mailing list
>> [email-masked]
>> https://urldefense.proofpoint.com/v2/url?u=https-
>> 3A__www.ietf.org_mailman_listinfo_detnet&d=DwIGaQ&c=I_0YwoKy7z5LMTVdyO6YCi
>> E2uzI1jjZZuIPelcSjixA&r=WA71sf2o7Dw7CbYhFt24DPjt3lJuupswWYdnboKbZ8k&m=n5Ov
>> szTEhiWz0g6qm-OrYwGBAI-
>> faJpmTLdYd2jAKp4&s=7p0iTNuPmr9FNPccGa9s8cxd7Hr0__QN6auqCVkfRMY&e=
> _______________________________________________
> detnet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/detnet